Bug 1507410 - fedpkg update fails with: "This system has bodhi v3, which is unsupported"
Summary: fedpkg update fails with: "This system has bodhi v3, which is unsupported"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg   
(Show other bugs)
Version: 28
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-30 07:53 UTC by Tomas Tomecek
Modified: 2018-03-02 18:12 UTC (History)
10 users (show)

Fixed In Version: fedpkg-1.31-1.fc26 fedpkg-1.31-1.fc27 fedpkg-1.31-5.el6 fedpkg-1.31-5.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-02 16:03:13 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Tomecek 2017-10-30 07:53:34 UTC
$ fedpkg update
Could not execute update: Could not generate update request: This system has bodhi v3, which is unsupported.

python2-rpkg-1.51-1.fc28.noarch
fedpkg-1.30-2.fc28.noarch (installed b/c of https://pagure.io/fedora-infrastructure/issue/6476)

Comment 1 cqi 2017-10-30 08:53:43 UTC
Hi Randy, what is the significant differences between v2 and v3 CLI? What has to do to support v3 CLI in fedpkg?

Comment 2 Patrick Uiterwijk 2017-10-30 13:55:08 UTC
The CLI is exactly the same between v2 and v3.
The major version number bump is because of sever-side changes.

Comment 3 Randy Barlow 2017-10-30 14:00:41 UTC
Actually there is one backwards incompatible CLI change, but it doesn't matter for fedpkg: the CLI no longer supports the USERNAME environment variable. Since fedpkg doesn't use that, it should keep working as-is if we just change the way it handles that bodhi version check.

Also, now that F25 is about to go EOL, we can probably ditch the version check soon (but we should wait until it *is* EOL of course.

Comment 4 Lukas Slebodnik 2017-11-14 13:05:11 UTC
Is there any progress after two weeks?

Comment 5 Lubomír Sedlář 2017-11-14 13:43:53 UTC
There's now a pull request: https://pagure.io/fedpkg/pull-request/167

Comment 6 Lukas Slebodnik 2017-11-21 18:00:11 UTC
(In reply to Lubomír Sedlář from comment #5)
> There's now a pull request: https://pagure.io/fedpkg/pull-request/167

I can see that patch was merged.

Could you update package at least in rawhide?

I manually modified /usr/lib/python2.7/site-packages/fedpkg/__init__.py and it wors :-)

Comment 7 Lubomír Sedlář 2017-11-22 07:54:20 UTC
I made a rawhide build, it should be included in a compose tomorrow. Build for other releases are not needed right now, they still have older Bodhi version.

Comment 8 Fedora Update System 2018-01-31 03:42:52 UTC
fedpkg-1.31-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-509f4cbea8

Comment 9 Fedora Update System 2018-01-31 03:46:34 UTC
fedpkg-1.31-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce05bcd95c

Comment 10 Fedora Update System 2018-01-31 03:49:35 UTC
fedpkg-1.31-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-214099fae8

Comment 11 Fedora Update System 2018-01-31 18:42:55 UTC
fedpkg-1.31-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ce05bcd95c

Comment 12 Fedora Update System 2018-01-31 20:06:07 UTC
fedpkg-1.31-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-214099fae8

Comment 13 Fedora Update System 2018-01-31 20:07:37 UTC
fedpkg-1.31-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-13590bc29c

Comment 14 Fedora Update System 2018-01-31 22:45:49 UTC
fedpkg-1.31-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-509f4cbea8

Comment 15 Fedora Update System 2018-02-06 10:50:03 UTC
fedpkg-1.31-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-02-06 15:31:56 UTC
fedpkg-1.31-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-02-15 09:52:26 UTC
fedpkg-1.31-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d3d5bf1124

Comment 18 Fedora Update System 2018-02-15 09:53:40 UTC
fedpkg-1.31-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f41cd20be2

Comment 19 Fedora Update System 2018-02-15 14:49:27 UTC
fedpkg-1.31-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-d3d5bf1124

Comment 20 Fedora Update System 2018-02-15 17:15:28 UTC
fedpkg-1.31-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f41cd20be2

Comment 21 Fedora End Of Life 2018-02-20 15:36:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 22 Fedora Update System 2018-03-02 16:03:13 UTC
fedpkg-1.31-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-03-02 18:12:16 UTC
fedpkg-1.31-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.